void detect_joysticks() {
  int i = 0, j = 0;
  char buf[100];

  /* only maintain state of joysticks that are actually joysticks */
  for (i = 0; i < NUM_JOYS; i++) {
    SDL_Joystick *joy = SDL_JoystickOpen(i);
    int num_axes = SDL_JoystickNumAxes(joy);

    if(num_axes > 0 && cfg_map[j] == 1) {
      sprintf (buf,"joy %d configured: ready",j);
      if (verbosity >= 0) { puts(buf); }
      joys[j] = joy; dev_map[i] = j; j++;
    }
    else if(num_axes > 0 && cfg_map[j] == -1) {
      sprintf (buf,"joy %d ignored: not configured in specified profile",j);
      if (verbosity >= 0) { puts(buf); }
      dev_map[i] = -1;
    }
    else { dev_map[i] = -1; }
  }
  /* use j for number of joysticks since some of the original were ignored */
  NUM_JOYS = j;
}
